#ifndef XSURFACEVERTEXINFO_H
#define XSURFACEVERTEXINFO_H

#include "xasset.h"

class XSurfaceVertexInfo : public XAsset
{
public:
    explicit XSurfaceVertexInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    QVector<qint16> mVertCount;
    QByteArray mVertsBlend;
};

#endif // XSURFACEVERTEXINFO_H
